# Test program to illustrate MAX17040 class usage

import umax17040
import machine

# Example using an ESP8266 (ESP-01)
i2c = machine.I2C(freq=400000, scl=machine.Pin(0),sda=machine.Pin(2))

# Connecting to MAX17040
chip = umax17040.umax17040(i2c)

# Retrieve firmware version
chip.GetFirmwareVersion()

# Retrieve battery voltage
chip.GetCellVoltage()

# Retrieve battery SoC
chip.GetStateOfCharge()
